Groovy Documentation

## org.codehaus.groovy.runtime
[Java] Class InvokerInvocationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  groovy.lang.GroovyRuntimeException
                      org.codehaus.groovy.runtime.InvokerInvocationException

    public class InvokerInvocationException
    extends GroovyRuntimeException

An exception thrown if a method is called and an exception occurred

Authors:
  James Strachan

Version:
  \$Revision\$

Constructor Summary
`InvokerInvocationException(java.lang.reflect.InvocationTargetException e)`
`InvokerInvocationException(java.lang.Throwable cause)`

Method Summary
`java.lang.String` | `getMessage()`

Methods inherited from class GroovyRuntimeException
getLocationText, getMessage, getMessageWithoutLocationText, getModule, getNode, setModule

Methods inherited from class java.lang.RuntimeException

java.lang.RuntimeException#printStackTrace(), java.lang.RuntimeException#printStackTrace(java.io.PrintStream), java.lang.RuntimeException#printStackTrace(java.io.PrintWriter), java.lang.RuntimeException#fillInStackTrace(), java.lang.RuntimeException#getCause(), java.lang.RuntimeException#initCause(java.lang.Throwable), java.lang.RuntimeException#toString(), java.lang.RuntimeException#getMessage(), java.lang.RuntimeException#getLocalizedMessage(), java.lang.RuntimeException#getStackTrace(), java.lang.RuntimeException#setStackTrace([Ljava.lang.StackTraceElement;), java.lang.RuntimeException#addSuppressed(java.lang.Throwable), java.lang.RuntimeException#getSuppressed(), java.lang.RuntimeException#wait(long), java.lang.RuntimeException#wait(long, int), java.lang.RuntimeException#wait(), java.lang.RuntimeException#equals(java.lang.Object), java.lang.RuntimeException#hashCode(), java.lang.RuntimeException#getClass(), java.lang.RuntimeException#notify(), java.lang.RuntimeException#notifyAll()

Constructor Detail

### InvokerInvocationException

    public InvokerInvocationException(java.lang.reflect.InvocationTargetException e)

### InvokerInvocationException

    public InvokerInvocationException(java.lang.Throwable cause)

Method Detail

### getMessage

    public java.lang.String getMessage()

Groovy Documentation